package Net::GSSDP::Install::Files;

$self = {
          'deps' => [
                      'Glib'
                    ],
          'inc' => '-I/usr/include/gssdp-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Ibuild',
          'libs' => '-lgssdp-1.0',
          'typemaps' => [
                          'gssdp.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Net/GSSDP/Install/Files.pm") {
			$CORE = $_ . "/Net/GSSDP/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
